Which version of postgresql to use

Hi,

In http://doc.nuxeo.com/display/ADMINDOC/Configuring+PostgreSQL it is stated that the recommended version of PostgreSQL is 9.1, but also stated that the 8.4 version is supported.

What would be the impact of using the 8.4 version instead of the 9.1 version?

The supported version for the Redhat platform we are using for this project is 8.4 and we would like to stay with it, depending on the impact.

Thanks

Patrick Turcotte

0 votes

1 answers

857 views

ANSWER



Functionally, we aren't using any features specific to PostgreSQL 9.x yet so there won't be any difference.

However, you'll miss out on some of the performance improvements that were done in the 9.x series, and obviously in upcoming releases we'll stop supporting the 8.4 version before the 9.x ones (though that's not planned yet).

1 votes



It must be stressed that you'll miss on a lot of performance improvements if don't go with the most recent 9.x version.
03/29/2012

We understand, but SOE are more important here.
04/03/2012